Bug 1885184 - wayland: onboard stuck to upper edge of screen, not moving, resize does not work propper
Summary: wayland: onboard stuck to upper edge of screen, not moving, resize does not w...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: onboard
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 11:13 UTC by customercare
Modified: 2020-11-24 16:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:11:40 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2020-10-05 11:13:36 UTC
Description of problem:

onboard has problems under wayland. it sticks to the top edge of the free screen, so technically it's sticked to the lower edge of the gnome-shells top bar.

Resizing is working, but it's not possible to move the onboard window down to the bottom of the screen.

With X11 it works ok, but does not come up when needed. 

A while ago, 6 months+, it was working better. 

under X11 onboard has a "scale" problem, too, which is anoying, but not a big problem. If the gnome-shell is started and the user logs in, the onboard windows is displayed, but not edge to edge ( left -> right). Instead it has only 50% width and is centered. All buttons are small, too small to be useable tbh.
At full width it would be better. 

After a screenlock and/or hybrid sleep, the scale factor changed from 50% to 200%, means, now it's too big. 

If i find a way to make screenshots from it, i will attach them.

Version-Release number of selected component (if applicable):

1.4.1

Reproduction is easy, if you have a Surface Pro with the surface-kernel and iptsd available.

if  possible, i will check against F33 and newer gnome-shell.

Comment 1 Ben Cotton 2020-11-03 17:00:13 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Admin user for bugzilla script actions 2020-11-22 15:16:03 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Ben Cotton 2020-11-24 16:11:40 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.